import { AsyncValidatorFn, FormControl, FormGroup, ValidatorFn } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class NumericRangeFormService {
    private form;
    private minimumControlName;
    private maximumControlName;
    constructor();
    get minimumControl(): FormControl;
    get maximumControl(): FormControl;
    get formGroup(): FormGroup;
    init(minimumControlName?: string, maximumControlName?: string, updateOn?: 'blur' | 'change' | 'submit'): FormGroup;
    setSyncValidators(validator: ValidatorFn): void;
    setAsyncValidators(asyncValidator: AsyncValidatorFn): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NumericRangeFormService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<NumericRangeFormService>;
}
